<?

/*
 * FlatNuke HotNews block
 * Copyright (C) 2004-2006 Marco Segato
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the license, or any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, inc., 59 Temple Place - Suite 320, Boston, MA  02111-1207, USA
 */

/*
 * Blocco per FlatNuke (http://www.flatnuke.org) di Simone Vellei
 *
 * Autore    Marco Segato  <segatom@users.sourceforge.net>
 * Website   http://www.marcosegato.tk
 * Versione  1.3
 * Data      20/01/2006
 *
 */


// previene che blocco sia eseguito direttamente e redirige a index.php
if (eregi("Hotnews.php",$_SERVER['PHP_SELF'])) {
	Header("Location: ../../index.php");
	die();
}
include ("config.php");
// numero di news visualizzabili nel blocco, eventualmente modificabile facendolo coincidere con $newspp del config.php
$numero_news = 10;
//$numero_news = $newspp;

// caricamento di tutte le news in un array
$news_dir = opendir('news');
while($file = readdir($news_dir)) {
	if(!($file=="." or $file=="..") and (!ereg("^\.",$file) and ($file!="CVS"))) {
		$f_time = filemtime("news/$file");
		$f_array[$file] = $f_time;
	}
}
closedir($news_dir);

// ordinamento delle news dalla pi recente alla pi vecchia
if(count($f_array)>0)
	arsort($f_array);
else return;

// numero totale di news trovate
$tot_news = sizeof($f_array);

// STAMPA BLOCCO
switch($numero_news) {
	case($numero_news <= $tot_news):
		for ($j=0; $j<$numero_news; $j++) {
			$each_news = each($f_array);
			print_hotnews($each_news);
		}
	break;
	default:
		for ($j=0; $j<$tot_news; $j++) {
			$each_news = each($f_array);
			print_hotnews($each_news);
		}
}

function print_hotnews($news_file) {
	$this_news = $news_file[0];
	$tmp = eregi_replace("^[0-9][0-9]_","",$this_news);
	$this_news = str_replace(".xml","",$tmp);
	$string = get_file("news/$this_news.xml");
	// non esistono commenti alla news
	if(!stristr($string, "<fn:comments>")) {
		/*$commento = "<a href='index.php?mod=comment&amp;id=$this_news'>&#043;</a>&nbsp;"._COMMENTI."";*/
	}
	// estrazione dell'ultimo commento alla news e relativo autore
	else {
		$comments = get_xml_element("fn:comments",$string);
		$comment = get_xml_array("fn:comment",$comments);
		$post = get_xml_element("fn:post",$comment[count($comment)-1]);
		$by = get_xml_element("fn:by",$comment[count($comment)-1]);
		if(strlen($post) > 25)
			$commento = trim(strip_tags(substr($post,0,23)))."..";
		else $commento = trim(strip_tags($post));
		$commento = stripslashes($commento);
	}
	// estrazione titolo della news
	$title = ereg_replace(".*<fn:title>","",$string);
	$title = ereg_replace("</fn:title>.*","",$title);
	$title = stripslashes($title);
	$fulltitle = $title;
	// accorcio la stringa se  troppo lunga per il blocco
	/*if(strlen($title) > 25)
		$title = trim(substr($title,0,23))."..";*/
	// titolo news
	echo "&#187;&nbsp;<a href='index.php?mod=read&amp;id=$this_news' title='$fulltitle'>$title</a><br>";
	echo "<div style='margin-left:7px;'>$commento</div>";
}
?>